Page MenuHomePhabricator

Fatal Error: Class undefined: MediaWiki\Logger\DateTimeZone
Closed, ResolvedPublic

Description

2015-04-10 06:57:43 mw1006 mediawikiwiki: [02389d1c] /rpc/RunJobs.php?wiki=mediawikiwiki&type=MessageUpdateJob&maxtime=30&maxmem=300M   ErrorException from line 264 of /srv/mediawiki/php-1.26wmf1/includes/exception/MWExceptionHandler.php: Fatal Error: Class undefined: MediaWiki\Logger\DateTimeZone

MediaWiki or an installed extension requires this class but it is not embedded directly in MediaWiki's git repository and must be installed separately by the end user.

Please see <a href="https://www.mediawiki.org/wiki/Download_from_Git#Fetch_external_libraries">mediawiki.org</a> for help on installing the required components.
#0 (): MWExceptionHandler::handleFatalError()
#1 {main}

Event Timeline

Legoktm created this task.Apr 10 2015, 5:58 PM
Legoktm claimed this task.
Legoktm raised the priority of this task from to High.
Legoktm updated the task description. (Show Details)
Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 10 2015, 5:58 PM

Change 203375 had a related patch set uploaded (by Legoktm):
debug: Add missing "use DateTimeZone" in LegacyLogger.php

https://gerrit.wikimedia.org/r/203375

Legoktm set Security to None.
bd808 raised the priority of this task from High to Unbreak Now!.Apr 10 2015, 6:03 PM
bd808 added a subscriber: bd808.

Change 203376 had a related patch set uploaded (by BryanDavis):
debug: Add missing "use DateTimeZone" in LegacyLogger.php

https://gerrit.wikimedia.org/r/203376

Change 203377 had a related patch set uploaded (by BryanDavis):
debug: Add missing "use DateTimeZone" in LegacyLogger.php

https://gerrit.wikimedia.org/r/203377

Change 203375 merged by jenkins-bot:
debug: Add missing "use DateTimeZone" in LegacyLogger.php

https://gerrit.wikimedia.org/r/203375

Change 203376 merged by jenkins-bot:
debug: Add missing "use DateTimeZone" in LegacyLogger.php

https://gerrit.wikimedia.org/r/203376

Legoktm closed this task as Resolved.Apr 10 2015, 6:38 PM

Deployed by @bd808

Change 203377 merged by Legoktm:
debug: Add missing "use DateTimeZone" in LegacyLogger.php

https://gerrit.wikimedia.org/r/203377

Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptJun 7 2017, 2:58 PM